Get access token

šŸ“˜

Note that authentication is only required for Publish API not Share Plugin

The Nextdoor APIs use the OAuth 2.0 protocol to authorize API requests.

The Nextdoor APIs use the OAuth 2.0 protocol to authorize API requests.

Please apply for access and the Nextdoor Partnerships team will provide the client_id and client_secret credentials that will be used to generate an access token.

Once you have the client_id and client_secret, you must get a Bearer token to access Nextdoor APIs. Add a new header with client_id:client_secretwhen requesting the access token.

The token service will return the Bearer token with the expiration time.

Publish API

For Publish API, the following scopes are supported: https://developer.nextdoor.com/reference/sharing-get-authorization-code

After getting your Bearer token you need to add the token to your request header to access the APIs. Here is an example header with the Bearer token:

Authorization: Bearer <access_token>

Form Data
string
required
Defaults to authorization_code

A constant string: "authorization_code".

string
required
Defaults to {authorization_code}

Authorization code that you received

string
required
Defaults to {client_id}

Client id that was provided by Nextdoor

string
required
Defaults to {redirect_uri}

Redirect URI that was submitted in the developer form

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json